
Redmine - Defect #10199

No wiki section edit when title contains code

2012-02-10 15:44 - Elmer de Looff

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.3.2   

Resolution: Fixed Affected version: 1.3.1

Description

When viewing a wiki entry, the section edit links next to the heading will end up editing the section above the link. Expected behavior

would be to edit the section that the heading starts.

Additionally, there is no edit link for the last section. Manually browsing to the section one number higher does let you edit that

section.

Rack and rails versions in case they are relevant:

rack (1.1.3)

rails (2.3.14)

Related issues:

Related to Redmine - Feature #2222: Single section edit. Closed 2008-11-21

Associated revisions

Revision 8841 - 2012-02-11 11:02 - Jean-Philippe Lang

Fixed: wrong section edit links when a heading contains inline code (#10199).

History

#1 - 2012-02-10 16:23 - Etienne Massip

Actually it allows to edit the section which is below the header.

#2 - 2012-02-10 16:36 - Elmer de Looff

Apologies, there seems to be something more specific at hand.

It seems like the section link will be skipped if the header contains additional Textile markup. In my case, I had a word in my title wrapped in @ signs,

which causes Redmine to skip the edit link. It doesn't seem to matter whether there is "normal" text following the code marked word, the section edit

link will not be there.

#3 - 2012-02-10 16:39 - Elmer de Looff

An example of this can be found here: code tags remove section edit link

#4 - 2012-02-10 16:58 - Etienne Massip

Elmer de Looff wrote:

An example of this can be found here: code tags remove section edit link

 I don't have the wiki edit permission.

#5 - 2012-02-10 17:17 - Elmer de Looff

How would I go about giving you permission.. Is there a general group I could add as developer to the wiki? There seem to be no administration

options to give anonymous editing privileges to the Wiki :(

#6 - 2012-02-10 17:30 - Elmer de Looff

Hmm, it's probably faster for you to try this yourself than figuring out how to have a look at the same demo Redmine wiki. The necessary example wiki

format can be found here: http://pastebin.com/8QT7CthS
http://pastebin.com/8QT7CthS


#7 - 2012-02-10 18:05 - Etienne Massip

- Subject changed from Wiki section edit links off-by-one to No wiki section edit when title contains code

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

Didn't see your comment in note#2, sorry.

#8 - 2012-02-10 18:07 - Etienne Massip

Probably related to note#31 of #2222.

#9 - 2012-02-11 11:02 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next minor release to 1.3.2

- Resolution set to Fixed

Fixed in r8841.

#10 - 2012-03-05 13:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
